> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kua.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Import Job



## OpenAPI

````yaml weaver GET /products/import/{id}
openapi: 3.0.2
info:
  title: Kua.ai Weaver API
  version: '1.0'
servers:
  - url: https://api.kua.ai/weaver/api/v2
security: []
paths:
  /products/import/{id}:
    get:
      summary: Get Import Job
      operationId: GetImportJob
      parameters:
        - in: path
          name: id
          required: true
          schema:
            title: Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportJob'
          description: Successful Response
components:
  schemas:
    ImportJob:
      type: object
      properties:
        failure:
          items:
            type: string
          type: array
        id:
          type: string
        importing:
          items:
            type: string
          type: array
        success:
          items:
            type: string
          type: array
      required:
        - id

````